package com.mortals.xhx.module.matter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MatterDatum
* date: 2021-9-17 15:55:12
*/
public class MatterDatumEntity extends MatterDatumEntityExt{
    private static final long serialVersionUID = 1631865312101L;


    /**
    * 材料名
    */
    private String materialName;

    /**
    * 事项基础表matter id
    */
    private Long matterId;

    /**
    * 材料形式
    */
    private Integer materialProperty;

    /**
    * 是否必交，0 否 1 是 默认0
    */
    private Integer isMust;

    /**
    * 材料类型
    */
    private Integer materialType;

    /**
    * 电子材料格式
    */
    private Integer electronicgs;

    /**
    * 材料来源渠道
    */
    private Integer materialSource;

    /**
    * 纸质材料份数
    */
    private Integer paperNum;

    /**
    * 纸质材料规格
    */
    private Integer paperGg;

    /**
    * 纸质材料规格文本
    */
    private String paperGgText;

    /**
    * 减免模式
    */
    private Integer jianmMs;

    /**
    * 盖章方式
    */
    private Integer sealWay;

    /**
    * 盖章方式文本显示
    */
    private String sealWayText;

    /**
    * 是否减免
    */
    private Integer isjianm;

    /**
    * 材料是否容缺
    */
    private Integer isLack;

    /**
    * 材料地址
    */
    private String ybUrl;

    /**
    * 来源渠道说明
    */
    private String materialSourceSm;

    /**
    * 填报须知
    */
    private String remarkSub;

    /**
    * 要求提供材料的依据
    */
    private String clauseContent;

    /**
    * 备注
    */
    private String remark;

    /**
    * 受理标准
    */
    private String summary;

    /**
    * 事项来源，0：政务网，1：自定义，默认0
    */
    private Integer source;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public MatterDatumEntity(){

    }
    /**
    * 获取 材料名
    * @return materialName
    */
    public String getMaterialName() {
        return this.materialName;
    }
    /**
    * 设置 材料名
    * @param materialName
    */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }
    /**
    * 获取 事项基础表matter id
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项基础表matter id
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 材料形式
    * @return materialProperty
    */
    public Integer getMaterialProperty() {
        return this.materialProperty;
    }
    /**
    * 设置 材料形式
    * @param materialProperty
    */
    public void setMaterialProperty(Integer materialProperty) {
        this.materialProperty = materialProperty;
    }
    /**
    * 获取 是否必交，0 否 1 是 默认0
    * @return isMust
    */
    public Integer getIsMust() {
        return this.isMust;
    }
    /**
    * 设置 是否必交，0 否 1 是 默认0
    * @param isMust
    */
    public void setIsMust(Integer isMust) {
        this.isMust = isMust;
    }
    /**
    * 获取 材料类型
    * @return materialType
    */
    public Integer getMaterialType() {
        return this.materialType;
    }
    /**
    * 设置 材料类型
    * @param materialType
    */
    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }
    /**
    * 获取 电子材料格式
    * @return electronicgs
    */
    public Integer getElectronicgs() {
        return this.electronicgs;
    }
    /**
    * 设置 电子材料格式
    * @param electronicgs
    */
    public void setElectronicgs(Integer electronicgs) {
        this.electronicgs = electronicgs;
    }
    /**
    * 获取 材料来源渠道
    * @return materialSource
    */
    public Integer getMaterialSource() {
        return this.materialSource;
    }
    /**
    * 设置 材料来源渠道
    * @param materialSource
    */
    public void setMaterialSource(Integer materialSource) {
        this.materialSource = materialSource;
    }
    /**
    * 获取 纸质材料份数
    * @return paperNum
    */
    public Integer getPaperNum() {
        return this.paperNum;
    }
    /**
    * 设置 纸质材料份数
    * @param paperNum
    */
    public void setPaperNum(Integer paperNum) {
        this.paperNum = paperNum;
    }
    /**
    * 获取 纸质材料规格
    * @return paperGg
    */
    public Integer getPaperGg() {
        return this.paperGg;
    }
    /**
    * 设置 纸质材料规格
    * @param paperGg
    */
    public void setPaperGg(Integer paperGg) {
        this.paperGg = paperGg;
    }
    /**
    * 获取 纸质材料规格文本
    * @return paperGgText
    */
    public String getPaperGgText() {
        return this.paperGgText;
    }
    /**
    * 设置 纸质材料规格文本
    * @param paperGgText
    */
    public void setPaperGgText(String paperGgText) {
        this.paperGgText = paperGgText;
    }
    /**
    * 获取 减免模式
    * @return jianmMs
    */
    public Integer getJianmMs() {
        return this.jianmMs;
    }
    /**
    * 设置 减免模式
    * @param jianmMs
    */
    public void setJianmMs(Integer jianmMs) {
        this.jianmMs = jianmMs;
    }
    /**
    * 获取 盖章方式
    * @return sealWay
    */
    public Integer getSealWay() {
        return this.sealWay;
    }
    /**
    * 设置 盖章方式
    * @param sealWay
    */
    public void setSealWay(Integer sealWay) {
        this.sealWay = sealWay;
    }
    /**
    * 获取 盖章方式文本显示
    * @return sealWayText
    */
    public String getSealWayText() {
        return this.sealWayText;
    }
    /**
    * 设置 盖章方式文本显示
    * @param sealWayText
    */
    public void setSealWayText(String sealWayText) {
        this.sealWayText = sealWayText;
    }
    /**
    * 获取 是否减免
    * @return isjianm
    */
    public Integer getIsjianm() {
        return this.isjianm;
    }
    /**
    * 设置 是否减免
    * @param isjianm
    */
    public void setIsjianm(Integer isjianm) {
        this.isjianm = isjianm;
    }
    /**
    * 获取 材料是否容缺
    * @return isLack
    */
    public Integer getIsLack() {
        return this.isLack;
    }
    /**
    * 设置 材料是否容缺
    * @param isLack
    */
    public void setIsLack(Integer isLack) {
        this.isLack = isLack;
    }
    /**
    * 获取 材料地址
    * @return ybUrl
    */
    public String getYbUrl() {
        return this.ybUrl;
    }
    /**
    * 设置 材料地址
    * @param ybUrl
    */
    public void setYbUrl(String ybUrl) {
        this.ybUrl = ybUrl;
    }
    /**
    * 获取 来源渠道说明
    * @return materialSourceSm
    */
    public String getMaterialSourceSm() {
        return this.materialSourceSm;
    }
    /**
    * 设置 来源渠道说明
    * @param materialSourceSm
    */
    public void setMaterialSourceSm(String materialSourceSm) {
        this.materialSourceSm = materialSourceSm;
    }
    /**
    * 获取 填报须知
    * @return remarkSub
    */
    public String getRemarkSub() {
        return this.remarkSub;
    }
    /**
    * 设置 填报须知
    * @param remarkSub
    */
    public void setRemarkSub(String remarkSub) {
        this.remarkSub = remarkSub;
    }
    /**
    * 获取 要求提供材料的依据
    * @return clauseContent
    */
    public String getClauseContent() {
        return this.clauseContent;
    }
    /**
    * 设置 要求提供材料的依据
    * @param clauseContent
    */
    public void setClauseContent(String clauseContent) {
        this.clauseContent = clauseContent;
    }
    /**
    * 获取 备注
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 受理标准
    * @return summary
    */
    public String getSummary() {
        return this.summary;
    }
    /**
    * 设置 受理标准
    * @param summary
    */
    public void setSummary(String summary) {
        this.summary = summary;
    }
    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return source
    */
    public Integer getSource() {
        return this.source;
    }
    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public void setSource(Integer source) {
        this.source = source;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterDatumEntity) {
            MatterDatumEntity tmp = (MatterDatumEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",materialName:").append(getMaterialName())
                .append(",matterId:").append(getMatterId())
                .append(",materialProperty:").append(getMaterialProperty())
                .append(",isMust:").append(getIsMust())
                .append(",materialType:").append(getMaterialType())
                .append(",electronicgs:").append(getElectronicgs())
                .append(",materialSource:").append(getMaterialSource())
                .append(",paperNum:").append(getPaperNum())
                .append(",paperGg:").append(getPaperGg())
                .append(",paperGgText:").append(getPaperGgText())
                .append(",jianmMs:").append(getJianmMs())
                .append(",sealWay:").append(getSealWay())
                .append(",sealWayText:").append(getSealWayText())
                .append(",isjianm:").append(getIsjianm())
                .append(",isLack:").append(getIsLack())
                .append(",ybUrl:").append(getYbUrl())
                .append(",materialSourceSm:").append(getMaterialSourceSm())
                .append(",remarkSub:").append(getRemarkSub())
                .append(",clauseContent:").append(getClauseContent())
                .append(",remark:").append(getRemark())
                .append(",summary:").append(getSummary())
                .append(",source:").append(getSource())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.materialName = null;
         this.matterId = null;
         this.materialProperty = null;
         this.isMust = null;
         this.materialType = null;
         this.electronicgs = null;
         this.materialSource = null;
         this.paperNum = null;
         this.paperGg = null;
         this.paperGgText = null;
         this.jianmMs = null;
         this.sealWay = null;
         this.sealWayText = null;
         this.isjianm = null;
         this.isLack = null;
         this.ybUrl = null;
         this.materialSourceSm = null;
         this.remarkSub = null;
         this.clauseContent = null;
         this.remark = null;
         this.summary = null;
         this.source = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}